Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class SQLDocument

    java.lang.Object
      |
      +--weblogic.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--weblogic.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--weblogic.apache.xml.dtm.ref.DTMDefaultBaseIterators
                        |
                        +--weblogic.apache.xalan.lib.sql.DTMDocument
                              |
                              +--weblogic.apache.xalan.lib.sql.SQLDocument

public class SQLDocument
extends DTMDocument

The SQL Document is the main controlling class the executesa SQL Query

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Inner classes inherited from class weblogic.apache.xalan.lib.sql.DTMDocument
`DTMDocument.CharacterNodeHandler`

Fields inherited from class weblogic.apache.xalan.lib.sql.DTMDocument
`m_attribute, m_Document_TypeID, m_DocumentIdx, m_ObjectArray, m_TextNode_TypeID, S_ATTRIB_NOT_SUPPORTED, S_DOCUMENT, S_ELEMENT_NODE, S_ISFALSE, S_ISTRUE, S_NAMESPACE, S_TEXT_NODE`

Fields inherited from class weblogic.apache.xml.dtm.ref.DTMDefaultBase
`m_blocksize, m_documentBaseURI, m_dtmIdent, m_elemIndexes, m_expandedNameTable, m_exptype, m_firstch, m_indexing, m_initialblocksize, m_mgr, m_mgrDefault, m_namespaceDeclSetElements, m_namespaceDeclSets, m_nextsib, m_parent, m_prevsib, m_shouldStripWhitespaceStack, m_shouldStripWS, m_size, m_traversers, m_wsfilter, m_xstrf, NOTPROCESSED, ROOTNODE`

Constructor Summary
`SQLDocument(weblogic.apache.xml.dtm.DTMManager mgr, int ident, ConnectionPool pool, java.sql.Connection con, java.sql.Statement stmt, java.sql.ResultSet data, boolean streamingMode)`

Method Summary
`protected int` | `_nextsib(int identity)`
`void` | `close()` Clean up our ties to the database but this does not necessarly clean up the document.
`void` | `closeOnError()` When an error occurs, the XConnection will call this method do that we can deal with the Connection properly
`protected void` | `createExpandedNameTable()` Populate the Expanded Name Table with the Node that we will use.
`void` | `documentRegistration()`
`void` | `documentRelease()`
`protected boolean` | `nextNode()`

Methods inherited from class weblogic.apache.xalan.lib.sql.DTMDocument
`_exptype, _firstch, _level, _parent, _prevsib, _type, addAttributeToNode, addElement, addElementWithData, appendChild, appendTextChild, cloneAttributeFromNode, declareNamespaceInContext, dispatchCharactersEvents, dispatchNodeData, dispatchToEvents, dumpDTM, ensureSize, ensureSizeOfIndex, error, findGTE, findInSortedSuballocatedIntVector, findNamespaceContext, getAttributeNode, getAxisIterator, getAxisTraverser, getContentHandler, getDeclHandler, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTDHandler, getElementById, getEntityResolver, getErrorHandler, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLexicalHandler, getLocalName, getLocalNameFromExpandedNameID, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextNodeIdentity, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getNumberOfNodes, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getShouldStripWhitespace, getSourceLocatorFor, getStringValue, getStringValueChunk, getStringValueChunkCount, getTypedAxisIterator, getUnparsedEntityURI, hasChildNodes, indexNode, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, needsTwoThreads, popShouldStripWhitespace, pushShouldStripWhitespace, setDocumentBaseURI, setFeature, setProperty, setShouldStripWhitespace, supportsPreStripping`

Methods inherited from class weblogic.apache.xml.dtm.ref.DTMDefaultBase
`dumpNode, getDTMIDs, getManager, makeNodeHandle, makeNodeIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDocument

    public SQLDocument(weblogic.apache.xml.dtm.DTMManager mgr,
                       int ident,
                       ConnectionPool pool,
                       java.sql.Connection con,
                       java.sql.Statement stmt,
                       java.sql.ResultSet data,
                       boolean streamingMode)
                throws java.sql.SQLException

  Parameters:
    `mgr` -
    `ident` -
    `pool` -
    `con` -
    `stmt` -
    `data` -
    `streamingMode` -
  Throws:
    java.sql.SQLException -

Method Detail

### createExpandedNameTable

    protected void createExpandedNameTable()

  Populate the Expanded Name Table with the Node that we will use. Keep a reference of each of the types for access speed.

  Returns:
  Overrides:
    createExpandedNameTable in class DTMDocument

### close

    public void close()

  Clean up our ties to the database but this does not necessarly clean up the document.

  Returns:

### closeOnError

    public void closeOnError()

  When an error occurs, the XConnection will call this method do that we can deal with the Connection properly

  Returns:

### nextNode

    protected boolean nextNode()

  Returns:
  Overrides:
    nextNode in class DTMDocument

### _nextsib

    protected int _nextsib(int identity)

  Parameters:
    `identity` -
  Returns:
  Overrides:
    _nextsib in class DTMDocument

### documentRegistration

    public void documentRegistration()

  Overrides:
    documentRegistration in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

### documentRelease

    public void documentRelease()

  Overrides:
    documentRelease in class weblogic.apache.xml.dtm.ref.DTMDefaultBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference